BOS_DELETE(8)

NAME
bos_delete - Deletes a server process from the BosConfig file

SYNOPSIS
bos delete -server <machine name>
    -instance <server process name>+ [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos d -s <machine name> -i <server process name>+
    [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos delete command removes the /etc/openafs/BosConfig entry for each process indicated by the -instance argument, on the server machine named by the -server argument.

Before issuing this command, issue the bos stop command to stop the process and set its status flag in the BosConfig file to "NotRun". The bos delete command fails with an error message if a process's status flag is "Run".

OPTIONS

-server <machine name>
    Indicates the server machine on which to delete the server process entry from the /etc/openafs/BosConfig file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-instance <server process name>+
    Names each process to delete. Use the name assigned with the -instance argument to the bos create command; process names appear in the output of the bos status command.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile or /etc/openafs/server/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the buserver, kaserver, ptserver, and vlserver entries from the BosConfig file on "db3.example.com", a database server machine being decommissioned.

   % bos delete -server db3.example.com \
       -instance buserver kaserver ptserver vlserver

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

The bos delete command cannot be run against servers which are in restricted mode.

SEE ALSO
BosConfig(5), KeyFile(5), KeyFileExt(5), UserList(5), bos(8), bos_create(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.